# -*- encoding: utf-8 -*-
from openerp import models, fields, api, tools
from openerp.exceptions import ValidationError

class ProductServiceCarWorkShop(models.Model):
    _inherit = 'product.service'

    year=fields.Integer(string='Año')
    color=fields.Char(string='Color')
    policy = fields.Boolean(string="Policy")
    policy_number =fields.Char(string='Número de chapa')
    agent_id = fields.Many2one(
        'res.partner',
        string='Agente',
        ondelete='restrict'
    )
    secure_id = fields.Many2one(
        'res.partner',
        string='Aseguradora',
        ondelete='restrict'
    )
    odometer = fields.Float(string='Odometro')
    car_value = fields.Float(string='Valor del vehiculo')
    transmission = fields.Selection([('manual','Manual'), ('automatic','Automatico')], string="Tipo de transmision")
    fuel_type = fields.Selection([('gasoline','Gasolina'), ('diesel','Diesel'), ('electric','Electrico'), ('hybrid','Hibrido')], string="Tipo de combustible")
    seats = fields.Integer(string='Nro. de asientos')
    doors = fields.Integer(string='Nro. de puertas')